from typing import List

from pydantic import BaseModel


class DataAuthCreate(BaseModel):
    title: str
    data: List[str] = []


class DataAuthEdit(BaseModel):
    data_auth_id: str
    title: str
    data: List[str] = []


class DataAuthSet(BaseModel):
    username: str
    data_auth_id: str
